import prisma from "@/lib/db";

export async function createRole(name : string){
    try{
        const result = await prisma.role.create({
            data : {
                name:name
            }
        })
        if(!result){
            return{success : false}
        }
        return({success : true, result : result})
    }catch(error){
        return{success : false, error : error instanceof Error ? error.message : 'An unknown error occured'}
    }
}

export async function getRole(name : string){
    try{
        const result = await prisma.role.findFirst({
            where : {
                name: name
            }
        })
        if(!result){
            return{success : false}
        }
        return({success : true, result : result})
    }catch(error){
        return{success : false, error : error instanceof Error ? error.message : 'An unknown error occured'}
    }
}

