'use server'
import prisma from "@/lib/db";
import { currentUser } from "@clerk/nextjs/server"

import slugify from "slugify";

export async function createUser(){
    try{
        const user = await currentUser()
        let slugUser = ""
        if(!slugUser){
            let slugCandidate = slugify(user?.username || "",{lower:true,strict:true})
            let slugExist = await prisma.user.findFirst({
                where : {
                    slug: slugCandidate
                }
            })
            let counter = 1
            while(slugExist){
                slugCandidate=`${slugCandidate}-${counter}`
                slugExist = await prisma.user.findFirst({
                    where : {
                        slug: slugCandidate
                    }
                })               
                counter++
            }
            slugUser = slugCandidate

        }
        if(!user){
            throw new Error("error with user")
        }


        const result = await prisma.user.create({
            data :{
                userId : user?.id,
                email : user?.emailAddresses[0].emailAddress,
                name : user?.username,
                slug: slugUser
            }
        })

        if(!result ){
            return ({success : false})
        }
        return ({success : true, id : result.id})
    }catch(error){
        return{success : false, error : error instanceof Error ? error.message : 'An unknown error occured'}
    }

}

export async function getUser() {
    try{
        const user = await currentUser()
        if(!user){
            throw new Error("error with user")
        }
        const result = await prisma.user.findFirst({
            where :{
                userId : user?.id
            }
        })
        if(!result ){
            return ({success : false})
        }
        return ({success : true, id : result.id})
    }catch(error){
     return{success : false, error : error instanceof Error ? error.message : 'An unknown error occured'}
    }

}