import type { Metadata } from "next";
import "./globals.css";
//import "../styles/menu.css"
//import 'bootstrap/dist/css/bootstrap.min.css';
import {
  ClerkProvider
} from '@clerk/nextjs'
import Menu from '../components/menu'
import { dark } from '@clerk/themes'


export const metadata: Metadata = {
  title: "Airsoft Search",
  description: "Airsoft Search is a platform dedicated to airsoft players worldwide, helping them easily find upcoming events, matches, and meetups near them or internationally. With an intuitive interface, discover scheduled games, register quickly, and join a community of passionate players. Whether you're a beginner or an experienced player, Airsoft Search simplifies the planning of your sessions and connects you with other players globally.",
  keywords: "airsoft events, airsoft matches, airsoft community, find airsoft games, airsoft parties, airsoft meetup, airsoft players worldwide, global airsoft events, airsoft calendar, airsoft groups",
};

export default function RootLayout({
  children,
}: Readonly<{
  children: React.ReactNode;
}>) {
  return (
    <ClerkProvider appearance={{
      baseTheme: dark,
    }}>
    <html lang="fr">
      <body
        className="flex min-h-full flex-col"
      >
          <Menu  />
          {children}
      </body>
    </html>
    </ClerkProvider>
  );
}
