"use client"

import { useState,useRef } from "react"
//import { createOrganisation } from "@/actions/organisationActions";
import { createOrganisationMathods } from "@/methods/organisationMethods";
import { useRouter } from "next/navigation";

export default function pageCreate() {
    const router = useRouter()
    const [valueTagState,setValueTagState] = useState('')
    const valueTitle = useRef(null)
    const valueTag = useRef(null)

    async function handleSubmit(e){
        e.preventDefault()
        const formData = new FormData(e.target)
        const result = await createOrganisationMathods(formData)
        if(result.success){
            console.log(result.slugOrga)
            router.push(`/organisations/${result.slugOrga}`)
        }   

    }

    function handleCreateTag(e){
        const title = valueTitle.current.value
        let words = title.split(" ")
        
            let result = words.map(word =>{
                return word.charAt(0).toUpperCase()
            })
            setValueTagState(result.join(''))
        
        valueTag.current.value = valueTagState.toString()
    }

  return (
    <main className='u-main-container'>
        <h1 className='text-2xl my-2'>Create a organisation</h1>
        <p className='text-sm text-gray-400 my-2'>* required</p>
        <form className='pb-6' onSubmit={handleSubmit}>
            <label htmlFor='title'  className='f-label'>Name of the organization* </label>
            <input onChange={handleCreateTag} ref={valueTitle} type="text" name="title" className="shadow border rounded w-full p-3 mb-7 text-gray-700 focus:outline-slate-400" id='title' placeholder='Title' required/>

            <label htmlFor='tag' className='f-label'>Tag* </label>
            <input type="text" name="tag" ref={valueTag} className="shadow border rounded w-full p-3 mb-7 text-gray-700 focus:outline-slate-400" id='tag' placeholder='Tag' required/>

            <label htmlFor='avatar' className='f-label'>Logo</label>
            {/*<input type="file"  name="file" className="shadow border rounded w-full p-3 mb-7 text-gray-700 focus:outline-slate-400" id='file' placeholder='file'/>*/}
            <input type="file" name="file" className="shadow border rounded w-full p-3 mb-7 text-gray-700 focus:outline-slate-400" id='file' accept="image/*"/>

            <label htmlFor='selectType' className='f-label'>Logo</label>
            <select type="selectType"  name="selectType" className="shadow border rounded w-full p-3 mb-7 text-gray-700 focus:outline-slate-400" id='selectType' placeholder='file'>
                <option value="">--Please choose an option--</option>
                <option value="association">Association</option>
                <option value="team">Team</option>
            </select>
            <button type="submit" className="bg-green-600 rounded text-white p-3 w-full">Create a organisation</button>
            <p className='text-red-600 hidden'>Error</p>
        </form>
    </main>
  )
}
