"use server"

import {createOrganisation,getListOrganisations, getOrganisation, deleteOrganisation} from '@/actions/organisationActions'
import { createRole, getRole } from '@/actions/roleActions'
import {createUserOnOrganisation} from '@/actions/userOnOrganisation'
import { createUser, getUser } from '@/actions/usersActions'

export async function createOrganisationMathods(formData : FormData){
    try{

        let role = await getRole("ADMIN")
        if(!role.success){
            const roleCreate = await createRole("ADMIN")
            if(!roleCreate.success){
                throw new Error("Error while create role")
                
            }
            role = roleCreate
        }

        let verifUser = await getUser()
        if(!verifUser?.success){
            const create = await createUser()
            if(!create.success){
                throw new Error ("Error when create user")
            }
            verifUser = create
        }

        const result = await createOrganisation(formData)
        if(result.success){
            const resultCreate = await createUserOnOrganisation(verifUser?.id || "",result.result?.id || "", role.result?.id || "")
            if(resultCreate){
                return{success : true, slugOrga : result.result?.slug}
            }
        }
        return{success : false}
    }catch(error){
        return{success : false, error : error instanceof Error ? error.message : 'An unknown error occured'}
    }

}


export async function getListOrganisationsMethod(){
    try{
        const verifUser = await getUser()
        if(verifUser.success){
            const result = await getListOrganisations(verifUser?.id || "")  

            if(result.success){
                return{success : true, result : result}
            }
        }
        return{success : false, error : 'An unknown error occured'}
    }catch(error){
        return{success : false, error : error instanceof Error ? error.message : 'An unknown error occured'}
    }
}

export async function getOrganisationMethods(slug : string){
    try{
            const result = await getOrganisation(slug)  
            if(result.success){
                return{success : true, result : result}
            }

        return{success : false, error : 'An unknown error occured'}
    }catch(error){
        return{success : false, error : error instanceof Error ? error.message : 'An unknown error occured'}
    }
}

export async function deleteOrganisationMethods(slug : string){
    try{
        const result = await deleteOrganisation(slug)  
        if(result.success){
            return{success : true, result : result}
        }
    return{success : false, error : 'An unknown error occured'}
    }catch(error){
        return{success : false, error : error instanceof Error ? error.message : 'An unknown error occured'}
    }  
}